Package org.apache.tomcat.util.threads

## Class VirtualThreadExecutor

- java.lang.Object
- - org.apache.tomcat.util.threads.VirtualThreadExecutor

All Implemented Interfaces:
  `Executor`

    public class VirtualThreadExecutor
    extends Object
    implements Executor

An executor that uses a new virtual thread for each task.

### Constructor Summary

Constructors
`VirtualThreadExecutor​(String namePrefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute​(Runnable command)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VirtualThreadExecutor

    public VirtualThreadExecutor​(String namePrefix)

### Method Detail

#### execute

    public void execute​(Runnable command)

Specified by:
  `execute` in interface `Executor`